Bug 1358889 - [Wayland] In rare cases, some applications don't react to keyboard input any more (but to mouse events)
Summary: [Wayland] In rare cases, some applications don't react to keyboard input any ...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: mutter
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Florian Müllner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: WaylandRelated
TreeView+ depends on / blocked
 
Reported: 2016-07-21 17:31 UTC by Christian Stadelmann
Modified: 2018-05-29 11:51 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 11:51:57 UTC


Attachments (Terms of Use)

Description Christian Stadelmann 2016-07-21 17:31:49 UTC
Description of problem:
I rarely run into situations where many applications¹ don't seem to get keyboard input events any more. They still react to mouse events. Gnome-shell still works fine handling both keyboard and mouse events for its own UI. Switching to a tty and back makes this problem go away.

Version-Release number of selected component (if applicable):
libwayland-client-1.10.0-1.fc24.x86_64
xorg-x11-server-Xwayland-1.18.3-6.fc24.x86_64
mutter-3.20.4-1.fc24.x86_64
gnome-shell-3.20.3-3.fc24.x86_64
gtk3-3.20.6-1.fc24.x86_64
libinput-1.4.0-1.fc24.x86_64

How reproducible:
rarely, unknown how to do this

What I do:
click into any text field of any application or try any shortcut like Ctrl+F which is supported by this application

Actual results:
Nothing happens. All (or most?) applications don't react to using the keyboard

Expected results:
Applications should get and handle keyboard input.

Additional info:
Workaround: Switch to any tty and back. You don't need to login on the tty or logout from your graphical session. Ctrl+Alt+Fn and back is enough.

See also this very similar bug #1358700.

¹ affected applications:
* Gtk+ 3.x wayland applications: evolution, gnome-todo,
* XWayland applications:
	* firefox (Gtk3)
	* Zim, Tor Browser (Gtk2)
	* QuiteRSS (Qt4)
	* KWrite, dolphin (Qt5)
	* Libreoffice with SAL_USE_VCLPLUGIN=gen
	* nautilus, gnome-contacts, yelp with GDK_BACKEND=x11
applications not affected:
* Gtk+ 3.x wayland applications: gedit, nautilus, gnome-terminal, epiphany, gnome-contacts, yelp
* gnome-shell itself

I don't know anything to debug this issue. https://fedoraproject.org/wiki/How_to_debug_Wayland_problems doesn't give me a hint because I don't know where to start.

Comment 1 Fedora End Of Life 2017-07-25 21:57:50 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2018-05-03 08:38:27 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2018-05-29 11:51:57 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.